careCycle
Appointments

List the audit history for an appointment

GET
/v2/appointments/{id}/events

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Appointment ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"
{
  "events": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "created",
      "actor": {
        "kind": "user",
        "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
        "userName": "string",
        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
        "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
        "toolCallId": "string",
        "reason": "string"
      },
      "metadata": {
        "fromStartTime": "2019-08-24T14:15:22Z",
        "toStartTime": "2019-08-24T14:15:22Z",
        "fromEndTime": "2019-08-24T14:15:22Z",
        "toEndTime": "2019-08-24T14:15:22Z",
        "fromNoShow": true,
        "reason": "string",
        "fromMemberId": "90935166-1dce-40b6-a9b9-ece281b85f49",
        "toMemberId": "316c97f2-5611-4d1e-bcc4-e0f380831b31",
        "channel": "sms",
        "template": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}